<div class="ui inverted left vertical menu">
    <form class = "ui form" [formGroup]="filterForm" (ngSubmit)="onFilter()">
          <a class="item" >
            <i class="tasks icon"></i>
            <div class="fluid field">
              <label class="mainLabel" style="color: azure; font-size: 20px;">Category</label>
              <div class="field category"  *ngFor = "let category of categories; let i = index" formArrayName = "categoriesForm">
                <div class="checkbox">
                  <input type="checkbox" [formControlName]="i">
                  <label class="checkItem"> {{categories[i].replace('_', ' ')}} </label>
                </div>
              </div>
    
            </div>
          </a>
    
    
          <a class="item" >
            <i class="tasks icon"></i>
            <div class="fluid field">
              <label class="mainLabel" style="color: azure; font-size: 20px;" >Area</label>
              <div class="field category"  *ngFor = "let area of areas; let i = index" formArrayName = "areasForm">
                <div class="checkbox">
                  <input type="checkbox" [formControlName]="i">
                  <label class="checkItem"> {{areas[i].replace('_', ' ')}} </label>
                </div>
              </div>
    
            </div>
          </a>
    
          <button class="ui inverted white basic fluid button" type= "submit">
            Filter
          </button>
    </form>
</div>